Issue1263

classification
Title: importing * from java-class fails
Type: Severity: normal
Components: Core Versions: 2.5b1
process
Status: closed Resolution: duplicate
Dependencies: Superseder:
Assigned To: fwierzbicki Nosy List: MrMeanie, aviflax, fwierzbicki, gunter.bach, sergei175
Priority: Keywords:

Created on 2009-02-19.13:11:12 by gunter.bach, last changed 2009-03-02.20:46:36 by aviflax.

Messages
msg4150 (view) Author: Gunter (gunter.bach) Date: 2009-02-19.13:11:12
When doing

from org.apache.commons.fileupload import *
FileUpload is None

when doing

from org.apache.commons.fileupload import FileUpload
FileUpload is set correctly.

Checked also with other java-classes
msg4154 (view) Author: Avi Flax (aviflax) Date: 2009-02-22.01:13:29
Just encountered this issue also.
msg4156 (view) Author: Geoffrey French (MrMeanie) Date: 2009-02-22.12:19:50
Which version? 2.5b1 or the latest SVN?

I encountered this issue in the 2.5b1 version, downloadable from the
website, but it does not affect me with a checkout of the latest SVN.
msg4157 (view) Author: Avi Flax (aviflax) Date: 2009-02-22.13:01:46
I'm using the 2.5b1 release. Glad to hear this is fixed already!
msg4159 (view) Author: Gunter (gunter.bach) Date: 2009-02-23.07:36:05
I am using the 2.5b1 release
msg4165 (view) Author: Sergei (sergei175) Date: 2009-02-26.23:20:54
I see also this feature for the release 2.5b1.
Import from java using : from <package> import *
does not work
msg4166 (view) Author: Frank Wierzbicki (fwierzbicki) Date: 2009-03-02.20:35:03
So this is a dup of http://bugs.jython.org/issue1239 unless some of you
are using standalone mode (or turning off package scanning in some other
way).  If you have package scanning off, you cannot use from <java
class> import * due to limits of the JVM (Native Java packages have no
getClasses() and package scanning works around this).  So in this case
you need to turn scanning on, or use explicit imports like:

import java.io.File
from java.io import File
msg4168 (view) Author: Avi Flax (aviflax) Date: 2009-03-02.20:42:39
But why does this work just fine with 2.2?
msg4169 (view) Author: Frank Wierzbicki (fwierzbicki) Date: 2009-03-02.20:45:58
Avi: this *is* a bug in 2.5b1 that is fixed in trunk.  standalone mode
wouldn't work this way in 2.2 either.
msg4170 (view) Author: Avi Flax (aviflax) Date: 2009-03-02.20:46:36
OK, great, thanks for explaining!
History
Date User Action Args
2009-03-02 20:46:36aviflaxsetmessages: + msg4170
2009-03-02 20:45:58fwierzbickisetmessages: + msg4169
2009-03-02 20:42:40aviflaxsetmessages: + msg4168
2009-03-02 20:35:04fwierzbickisetstatus: open -> closed
assignee: fwierzbicki
resolution: duplicate
messages: + msg4166
nosy: + fwierzbicki
2009-02-26 23:20:55sergei175setnosy: + sergei175
messages: + msg4165
2009-02-23 07:36:05gunter.bachsetmessages: + msg4159
2009-02-22 13:01:46aviflaxsetmessages: + msg4157
2009-02-22 12:19:50MrMeaniesetnosy: + MrMeanie
messages: + msg4156
2009-02-22 01:13:29aviflaxsetnosy: + aviflax
messages: + msg4154
2009-02-19 13:11:12gunter.bachcreate